| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfVM Struct Reference
Subscriber Features

Call Forwarding Voice Mail. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
unsp__Enabled * | Enabled
| Standard Enabled flag. More...
unsp__ServiceId | ServiceId
| Indicates the destination number or Alphanumeric SIP URI. More...
xsd__int * | NumberOfRings
unsp__Enabled * | VMWI
unsp__Enabled * | AMWI
xsd__int * | RingDuration
| Indicates the duration that the phone will ring before (if not answered) the call will be redirected to the Voice Mail server. More...
unsp__Enabled * | FwdOnCallReject
| If true, when a subscriber receives an incoming call and chooses to reject it, OSV shall redirect the call to voice mail instead of playing the reorder tone. More...
unsp__Enabled * | FwdOnDND
| If true, when a subscriber activates DND, OSV shall redirect the call to voice mail instead of playing the DND announcement or reorder tone. More...
struct unsp__CfVM_locPres * | Local
| Local Presence flags. More...

## Detailed Description

Call Forwarding Voice Mail.

This service indicates that the subscriber has Voice Mail. VoiceMail is a combination of CfCFDA and CfCFB. These services are mutually exclusive and an attempt to add VM or either CFDA or CFB when the other is provisioned will result in an error.
MP2 command: CFVM [Attributes]

## Member Data Documentation

## ◆ AMWI

unsp__Enabled* unsp__CfVM::AMWI

Deprecated:
  NA

## ◆ Enabled

unsp__Enabled* unsp__CfVM::Enabled

Standard Enabled flag.

## ◆ FwdOnCallReject

unsp__Enabled* unsp__CfVM::FwdOnCallReject

If true, when a subscriber receives an incoming call and chooses to reject it, OSV shall redirect the call to voice mail instead of playing the reorder tone.

required: false
default value[range]: false

## ◆ FwdOnDND

unsp__Enabled* unsp__CfVM::FwdOnDND

If true, when a subscriber activates DND, OSV shall redirect the call to voice mail instead of playing the DND announcement or reorder tone.

required: false
default value[range]: false

## ◆ Local

struct unsp__CfVM_locPres* unsp__CfVM::Local

Local Presence flags.

## ◆ NumberOfRings

xsd__int* unsp__CfVM::NumberOfRings

Deprecated:
  NA

## ◆ RingDuration

xsd__int* unsp__CfVM::RingDuration

Indicates the duration that the phone will ring before (if not answered) the call will be redirected to the Voice Mail server.

required: false
default value[range]: 24 [0..60]

## ◆ ServiceId

unsp__ServiceId unsp__CfVM::ServiceId

Indicates the destination number or Alphanumeric SIP URI.

required: true, if the feature is enabled

See also
  unsp__CFTarget

## ◆ Subscribed

enum unsp__Subscribed unsp__CfVM::Subscribed

Standard Subscribed enumeration.

## ◆ VMWI

unsp__Enabled* unsp__CfVM::VMWI

Deprecated:
  NA

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h